Failed Packages: media-libs/mesa-llvmpipe-22.0.1

30 views
Skip to first unread message

Ted

unread,
Sep 28, 2022, 10:15:37 AM9/28/22
to ChromiumOS Development
Hi guys!
I have added many VIDEO_CARDS like below.

VIDEO_CARDS="amdgpu freedreno intel llvmpipe mach64 mga nouveau r128 radeon radeonsi savage sis softpipe tdfx via virgl vmware"

in overlays/overlay-amd64-generic/profiles/base/make.defaults

But build_package shows me error: Failed Packages: media-libs/mesa-llvmpipe-22.0.1
And I notice a important error message in there: 
meson.build:1748:2: ERROR: Problem encountered: The following drivers require LLVM: RadeonSI, SWR, Lavapipe. One of these is enabled, but LLVM is disabled.

Actually in the make.default file, mesa package, and mesa-llvmpipe package already include the "llvm" USE flag.
But why the error message says that LLVM is disabled?
How can I solve this?

meson-log.txt
media-libs_mesa-llvmpipe-22.0.1_20220928-131755.txt
Reply all
Reply to author
Forward
0 new messages